#ifndef FRIEND_HPP_INCLUDED
#define FRIEND_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <string>
#include <cstdint>

class Friend : public Object
{
    public:
        Friend();
        Friend(const void* Obj);
        Friend(const Friend& F);
        static Class GetClass();

        std::string GetName() const;
        std::string GetPreviousName() const;
        std::int32_t GetRank() const;
        std::int32_t GetWorld() const;

};

#endif // FRIEND_HPP_INCLUDED
