#ifndef CLANMEMBER_HPP_INCLUDED
#define CLANMEMBER_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <string>
#include <cstdint>

class ClanMember : public Node
{
    public:
        ClanMember();
        ClanMember(const void* Obj);
        ClanMember(const ClanMember& C);
        static Class GetClass();

        std::string GetName() const;
        std::int8_t GetRank() const;
        std::int32_t GetWorld() const;

};

#endif // CLANMEMBER_HPP_INCLUDED
