#ifndef PREFERENCES_HPP_INCLUDED
#define PREFERENCES_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/LinkedHashMap.hpp"
#include <cstdint>

class Preferences : public Object
{
    public:
        Preferences();
        Preferences(const void* Obj);
        Preferences(const Preferences& P);
        static Class GetClass();

        bool GetHideRoofs() const;
        bool GetMuted() const;
        LinkedHashMap GetPreferences() const;
        std::int32_t GetScreenType() const;

};

#endif // PREFERENCES_HPP_INCLUDED
