#ifndef REGION_HPP_INCLUDED
#define REGION_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include "GameObject.hpp"
#include "SceneTile.hpp"

class Region : public Object
{
    public:
        Region();
        Region(const void* Obj);
        Region(const Region& R);
        static Class GetClass();

        std::vector<GameObject> GetGameObjects() const;
        std::vector<std::vector<std::vector<SceneTile>>> GetSceneTiles() const;

};

#endif // REGION_HPP_INCLUDED
